Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.utils
Class AttList

    java.lang.Object
      |
      +--org.apache.xalan.utils.AttList

public class AttList
extends java.lang.Object
implements Attributes

**For internal use only** Wraps a DOM attribute list in a SAX Attributes.

Constructor Summary
`AttList(NamedNodeMap attrs)` **For internal use only**
`AttList(NamedNodeMap attrs, DOMHelper dh)` **For internal use only**

Method Summary
`int` | `getIndex(java.lang.String rawName)` **For internal use only** Look up the index of an attribute by raw XML 1.0 name.
`int` | `getIndex(java.lang.String uri, java.lang.String localPart)` **For internal use only** Look up the index of an attribute by Namespace name.
`int` | `getLength()` **For internal use only**
`java.lang.String` | `getLocalName(int index)` **For internal use only** Look up an attribute's local name by index.
`java.lang.String` | `getQName(int i)` **For internal use only**
`java.lang.String` | `getType(int i)` **For internal use only**
`java.lang.String` | `getType(java.lang.String name)` **For internal use only**
`java.lang.String` | `getType(java.lang.String uri, java.lang.String localName)` **For internal use only** Look up an attribute's type by Namespace name.
`java.lang.String` | `getURI(int index)` **For internal use only** Look up an attribute's Namespace URI by index.
`java.lang.String` | `getValue(int i)` **For internal use only**
`java.lang.String` | `getValue(java.lang.String name)` **For internal use only**
`java.lang.String` | `getValue(java.lang.String uri, java.lang.String localName)` **For internal use only** Look up an attribute's value by Namespace name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttList

    public AttList(NamedNodeMap attrs)

### AttList

    public AttList(NamedNodeMap attrs,
                   DOMHelper dh)

Method Detail

### getLength

    public int getLength()

  Specified by:
    getLength in interface Attributes

### getURI

    public java.lang.String getURI(int index)

  **For internal use only** Look up an attribute's Namespace URI by index.
  Specified by:
    getURI in interface Attributes
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The Namespace URI, or the empty string if none is available, or null if the index is out of range.

### getLocalName

    public java.lang.String getLocalName(int index)

  **For internal use only** Look up an attribute's local name by index.
  Specified by:
    getLocalName in interface Attributes
  Parameters:
    `index` - The attribute index (zero-based).
  Returns:
    The local name, or the empty string if Namespace processing is not being performed, or null if the index is out of range.

### getQName

    public java.lang.String getQName(int i)

  Specified by:
    getQName in interface Attributes

### getType

    public java.lang.String getType(int i)

  Specified by:
    getType in interface Attributes

### getValue

    public java.lang.String getValue(int i)

  Specified by:
    getValue in interface Attributes

### getType

    public java.lang.String getType(java.lang.String name)

  Specified by:
    getType in interface Attributes

### getType

    public java.lang.String getType(java.lang.String uri,
                                    java.lang.String localName)

  **For internal use only** Look up an attribute's type by Namespace name.
  Specified by:
    getType in interface Attributes
  Parameters:
    `uri` - The Namespace URI, or the empty String if the name has no Namespace URI.
    `localName` - The local name of the attribute.
  Returns:
    The attribute type as a string, or null if the attribute is not in the list or if Namespace processing is not being performed.

### getValue

    public java.lang.String getValue(java.lang.String name)

  Specified by:
    getValue in interface Attributes

### getValue

    public java.lang.String getValue(java.lang.String uri,
                                     java.lang.String localName)

  **For internal use only** Look up an attribute's value by Namespace name.
  Specified by:
    getValue in interface Attributes
  Parameters:
    `uri` - The Namespace URI, or the empty String if the name has no Namespace URI.
    `localName` - The local name of the attribute.
  Returns:
    The attribute value as a string, or null if the attribute is not in the list.

### getIndex

    public int getIndex(java.lang.String uri,
                        java.lang.String localPart)

  **For internal use only** Look up the index of an attribute by Namespace name.
  Specified by:
    getIndex in interface Attributes
  Parameters:
    `uri` - The Namespace URI, or the empty string if the name has no Namespace URI.
    `localName` - The attribute's local name.
  Returns:
    The index of the attribute, or -1 if it does not appear in the list.

### getIndex

    public int getIndex(java.lang.String rawName)

  **For internal use only** Look up the index of an attribute by raw XML 1.0 name.
  Specified by:
    getIndex in interface Attributes
  Parameters:
    `rawName` - The raw (prefixed) name.
  Returns:
    The index of the attribute, or -1 if it does not appear in the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.